Bug 64093 - RFE: Include a program that will take a directory of updated rpms, and update an installation tree.
RFE: Include a program that will take a directory of updated rpms, and update...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-25 12:32 EDT by Forrest
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-09 00:37:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bash script modified and gleened from http://www.linuxdoc.org/HOWTO/RedHat-CD-HOWTO-5.html#ss5.2 (1.94 KB, patch)
2002-04-27 17:58 EDT, Forrest
no flags Details | Diff

  None (edit)
Description Forrest 2002-04-25 12:32:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020416

Description of problem:
Include a program that will take a directory of updated rpms, and update an
installation tree.  I would also like a program that will run through genhdlist,
buildinstall, pkgorder, etc., to create the installation tree, and then run
mkisofs to build the CDs.  When creating CDs, I often have updated errata that I
want to include in my CD, and it would be nice to already have something
included in anaconda.  I have a bash script and a perl script that, when given
the updates directory, and the installation directory, will query the rpm
packages in the updates directory and will copy them to the install directory
(if they are newer), and copy the old rpms to `olddir`.  I can include these
scripts if need be, but I do not have a python script (as it seems everything is
python :o)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Try to build CDs

Additional info:
Comment 1 Michael Fulbright 2002-04-26 15:23:45 EDT
I'm not sure this is something that should be part of the anaconda distribution.

Any thoughts Jeremy?
Comment 2 Jeremy Katz 2002-04-26 15:29:25 EDT
If such a thing were to fall into our laps, I wouldn't be against including it
as we currently do checkrepository.  Just getting it documented (which I hope to
do) will at least be a good first step
Comment 3 Forrest 2002-04-27 17:58:10 EDT
Created attachment 55664 [details]
Bash script modified and gleened from http://www.linuxdoc.org/HOWTO/RedHat-CD-HOWTO-5.html#ss5.2
Comment 4 Jeremy Katz 2003-07-09 00:37:24 EDT
There are multiple scripts available for this.  Not going to really include any
one over any other (as each tends to have their own specific good reason for
existing)

Note You need to log in before you can comment on or make changes to this bug.